org.apache.http.client.utils

## Class Rfc3492Idn

- java.lang.Object
- - org.apache.http.client.utils.Rfc3492Idn

All Implemented Interfaces:
  Idn

Deprecated.
(4.4) use standard `IDN`.

    @Contract(threading=IMMUTABLE)
    @Deprecated
    public class Rfc3492Idn
    extends Object
    implements Idn

Implementation from pseudo code in RFC 3492.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`Rfc3492Idn()` Deprecated.

### Method Summary

Methods
`protected String` `decode(String s)` Deprecated.
`String` `toUnicode(String punycode)` Deprecated. Converts a name from its punycode representation to Unicode.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Rfc3492Idn

    public Rfc3492Idn()

Deprecated.

### Method Detail

#### toUnicode

    public String toUnicode(String punycode)

Deprecated.
Description copied from interface: `Idn`
Converts a name from its punycode representation to Unicode. The name may be a single hostname or a dot-separated qualified domain name.

Specified by:
  `toUnicode` in interface `Idn`
Parameters:
  `punycode` - the Punycode representation
Returns:
  the Unicode domain name

#### decode

    protected String decode(String s)

Deprecated.